@import "../../theme/common";

.wrap {
  max-width: 1100px;
  margin: $main-content-margin-top $main-content-margin-left;
}

.inputWrap {
  margin: 16px 0;
  line-height: 32px;
}

.inputRow {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 24px;
}

.inputItem {
  width: 46%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.inputItemLabel {
  font-size: 14px;
  color: $label-color;
  flex-grow: 1;
}

.inputItemContent {
  width: 300px;
}

.inputButtonItem {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
}

.inputItemButton {
  width: 100px;
}

.inputItemButton:first-child {
  margin-right: 20px;
}

.inputRow :global .ant-calendar-range-picker-input {
  text-align: left;
}

.inputRow :global .ant-calendar-range-picker-separator {
  margin-right: 4px;
}

.timeError :global .ant-calendar-picker-input {
  border-color: #f00 !important;
}

.tableWrap {
  margin-top: 20px;
  flex-grow: 1;
  overflow-y: scroll;
}

.paginationWrap {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-items: flex-end;
  align-items: flex-end;
  flex-shrink: 0;
}

.paginationWrap :global .ant-pagination-options-quick-jumper input {
  height: 34px;
  width: 50px;
  box-sizing: border-box;
}
